Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.script
Interface IDataSetInstanceHandle

All Superinterfaces:
  IJavascriptContext

    public interface IDataSetInstanceHandle

extends IJavascriptContext

A runtime instance of a data set. Java scripts associated with a data source can use this interface to get/set data source properties.

Method Summary
`java.util.Map` | `getAllExtensionProperties()` Gets the data set extension properties, in the form of a ( name [String], value [String] ) map.
`IDataSourceInstanceHandle` | `getDataSource()`
`java.lang.String` | `getExtensionID()` Gets the unique id that identifies the type of the data set, assigned by the extension providing the implementation of this data set.
`java.lang.String` | `getExtensionProperty(java.lang.String name)` Get the value of a data set extension property.
`java.util.Map` | `getInputParameters()` Gets the names and values of all data set input parameters, as a read-only Name (String) -> Value (Object) map.
`java.lang.Object` | `getInputParameterValue(java.lang.String paramName)` Gets the current value of the named data set input parameter.
`java.lang.String` | `getName()` Gets the name of this data set
`java.util.Map` | `getOutputParameters()` Gets the names and values of all data set output parameters, as a read-only Name (String) -> Value (Object) map.
`java.lang.Object` | `getOutputParameterValue(java.lang.String paramName)` Gets the current value of the named data set output parameter.
`java.lang.String` | `getQueryText()` Gets the query text of the data set.
`IResultMetaData` | `getResultMetaData()` Gets the current data set's column metadata, if available.
`void` | `setExtensionProperty(java.lang.String name, java.lang.String value)` Set the value of an extension property
`void` | `setInputParameterValue(java.lang.String paramName, java.lang.Object paramValue)` Sets the value of the named data set input parameter.
`void` | `setOutputParameterValue(java.lang.String paramName, java.lang.Object paramValue)` Sets the value of the named data set output parameter.
`void` | `setQueryText(java.lang.String queryText)` Sets the query text of the data set.

Methods inherited from interface org.eclipse.birt.data.engine.api.script.IJavascriptContext
`getScriptScope`

Method Detail

### getName

    java.lang.String getName()

  Gets the name of this data set

### getDataSource

    IDataSourceInstanceHandle getDataSource()

  Returns:
    The runtime data source associated with this data set

### getExtensionID

    java.lang.String getExtensionID()

  Gets the unique id that identifies the type of the data set, assigned by the extension providing the implementation of this data set.

  Returns:
    The id fo the type of data set type as referenced by an ODA driver. Null if none is defined.

### getResultMetaData

    IResultMetaData getResultMetaData()
                                      throws org.eclipse.birt.core.exception.BirtException

  Gets the current data set's column metadata, if available.

  Returns:
    column metadata, or null if no metadata is available (e.g., data set is not yet open).
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### getQueryText

    java.lang.String getQueryText()
                                  throws org.eclipse.birt.core.exception.BirtException

  Gets the query text of the data set.

  Returns:
    The static query text for execution.
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### setQueryText

    void setQueryText(java.lang.String queryText)
                      throws org.eclipse.birt.core.exception.BirtException

  Sets the query text of the data set.

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### getExtensionProperty

    java.lang.String getExtensionProperty(java.lang.String name)

  Get the value of a data set extension property.

  Parameters:
    `name` - Name of property; must not be null or empty
  Returns:
    Property value; null if property has not been defined

### setExtensionProperty

    void setExtensionProperty(java.lang.String name,
                              java.lang.String value)

  Set the value of an extension property

  Parameters:
    `name` - Name of property; must not be null or empty
    `value` - Property value; may be null

### getAllExtensionProperties

    java.util.Map getAllExtensionProperties()

  Gets the data set extension properties, in the form of a ( name [String], value [String] ) map.

  Returns:
    Extension properties as a Map of String->String pairs. Null if no extension property is defined

### getInputParameterValue

    java.lang.Object getInputParameterValue(java.lang.String paramName)
                                            throws org.eclipse.birt.core.exception.BirtException

  Gets the current value of the named data set input parameter.

  Parameters:
    `paramName` - Name of data set input parameter
  Returns:
    Current value of named data set input parameter
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if named parameter does not exist

### setInputParameterValue

    void setInputParameterValue(java.lang.String paramName,
                                java.lang.Object paramValue)
                                throws org.eclipse.birt.core.exception.BirtException

  Sets the value of the named data set input parameter. Setting the input parameter value has an effect on the data set only at the data set's beforeOpen event

  Parameters:
    `paramName` - name of data set input parameter
    `paramValue` - value of data set input parameter
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - If named parameter does not exist, or if paramValue has an incompatible data type with the declared parameter type

### getInputParameters

    java.util.Map getInputParameters()

  Gets the names and values of all data set input parameters, as a read-only Name (String) -> Value (Object) map.

  Returns:
    Name (String) -> Value (Object) map. This map is read-only

### getOutputParameterValue

    java.lang.Object getOutputParameterValue(java.lang.String paramName)
                                             throws org.eclipse.birt.core.exception.BirtException

  Gets the current value of the named data set output parameter. A data set output parameter value is normally available only after the data set has been opened. If this method is called before an output parameter value is available, a null value is returned.

  Parameters:
    `paramName` - Name of data set output parameter
  Returns:
    Current value of named data set output parameter
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if named parameter does not exist

### setOutputParameterValue

    void setOutputParameterValue(java.lang.String paramName,
                                 java.lang.Object paramValue)
                                 throws org.eclipse.birt.core.exception.BirtException

  Sets the value of the named data set output parameter. It will override any data set output parameter value that may have been provided by the external data source.

  Parameters:
    `paramName` - name of data set output parameter
    `paramValue` - value of data set output parameter
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - If named parameter does not exist, or if paramValue has an incompatible data type with the declared parameter type

### getOutputParameters

    java.util.Map getOutputParameters()

  Gets the names and values of all data set output parameters, as a read-only Name (String) -> Value (Object) map.

  Returns:
    Name (String) -> Value (Object) map. This map is read-only

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.